# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "agave-install"
version = "1.17.26"
authors = ["Solana Labs Maintainers <maintainers@solanalabs.com>"]
description = "The solana cluster software installer"
homepage = "https://solanalabs.com/"
documentation = "https://docs.rs/agave-install"
license = "Apache-2.0"
repository = "https://github.com/solana-labs/solana"

[package.metadata.docs.rs]
targets = ["x86_64-unknown-linux-gnu"]

[dependencies.atty]
version = "0.2.11"

[dependencies.bincode]
version = "1.3.3"

[dependencies.bzip2]
version = "0.4.4"

[dependencies.chrono]
version = "0.4.31"
features = [
    "default",
    "serde",
]
default-features = false

[dependencies.clap]
version = "2.33.1"

[dependencies.console]
version = "0.15.7"

[dependencies.crossbeam-channel]
version = "0.5.8"

[dependencies.ctrlc]
version = "3.4.1"
features = ["termination"]

[dependencies.dirs-next]
version = "2.0.0"

[dependencies.indicatif]
version = "0.17.7"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.nix]
version = "0.26.4"

[dependencies.reqwest]
version = "0.11.20"
features = [
    "blocking",
    "brotli",
    "deflate",
    "gzip",
    "rustls-tls",
    "json",
]
default-features = false

[dependencies.scopeguard]
version = "1.2.0"

[dependencies.semver]
version = "1.0.19"

[dependencies.serde]
version = "1.0.188"
features = ["derive"]

[dependencies.serde_yaml]
version = "0.9.25"

[dependencies.serde_yaml_08]
version = "0.8.26"
package = "serde_yaml"

[dependencies.solana-clap-utils]
version = "=1.17.26"

[dependencies.solana-config-program]
version = "=1.17.26"

[dependencies.solana-logger]
version = "=1.17.26"

[dependencies.solana-rpc-client]
version = "=1.17.26"
default-features = false

[dependencies.solana-sdk]
version = "=1.17.26"

[dependencies.solana-version]
version = "=1.17.26"

[dependencies.tar]
version = "0.4.40"

[dependencies.tempfile]
version = "3.8.0"

[dependencies.url]
version = "2.4.1"

[target."cfg(windows)".dependencies.winapi]
version = "0.3.8"
features = [
    "minwindef",
    "winuser",
]

[target."cfg(windows)".dependencies.winreg]
version = "0.50"
